A partir del 7 de octubre de 2013, se va a exigir que todas las peticiones entrantes tengan una cabecera “Host”, que cumplan con el protocolo HTTP 1.1. Si no actualizas tu IPN de paypal con esta nueva cabecera (y continuas usando HTTP 1.0) puede empezar a fallar con errores del tipo “HTTP/1.0 400 Bad Request”.

A continuación el código completo php del IPN nuevo (con las nuevas actualizaciones de Paypal):